Subject: CP437: Invalid Argument on init

From: Bryan Ferris <[email-masked]>
Date: Sun, 6 Jan 2019 11:34:54 -0800

Hello,

I've installed guix to my desktop. `guix system install` ran successfully
and the system is able to boot. However, a large number of services fail to
start with the error "CP437: Invalid argument". There are 3 groups of
information listed below: a partial list of services which fail (partial
because I can only see the final screen of output; I'm not sure how to see
the beginning of the log when I have no tty's and the startup log doesn't
support scrolling as far as I can tell), a partial list of services that
succeeded in starting, and my operating-system declaration used to create
it.

I verified that the inputs (mount points, fs types, etc) to the
operating-system is accurate. I don't think it's doing anything
particularly interesting. The only abnormal thing is that my root partition
is btrfs, but I get the same behavior on ext.

Broken Services:
avahi-daemon
console-font-tty{1-6}
dbus-system
elogind
guix-daemon
networking
nscd
ntpd
syslogd
term-tty{1-6,auto}
user-homes
upower-daemon
urandom-seed
user-processes
wpa-supplicant
xorg-server

Working Services:
console-keymap
file-system-/sys/fs/cgroup/{blkio,devices,freezer,memory,perf_event}
host-name
virtual-terminal

OS Declaration:
(use-modules (gnu))
(use-service-modules desktop ssh)
(use-package-modules shells vim wm)

(operating-system
  (packages (cons* fish neovim xmonad %base-packages))

  (services (cons*
              (console-keymap-service "dvorak-programmer")
              (service openssh-service-type
                       (openssh-configuration
                         (port-number 8778)
                       )
              )
              %desktop-services
            )
  )

  (users (let ((default-groups '("wheel" "audio" "video" "netdev"))
               ;(default-shell  #$fish) not sure if this is the right
syntax... fix once system boots
              )
           (cons* (user-account
                   (name "primary")
                   (group "users")
                   (supplementary-groups default-groups)
                   (home-directory "/home/primary")
                 )
                 (user-account
                   (name "configuration")
                   (group "users")
                   (supplementary-groups default-groups)
                   (home-directory "/home/configuration")
                 )
                 (user-account
                   (name "packaging")
                   (group "users")
                   (supplementary-groups default-groups)
                   (home-directory "/home/packaging")
                 )
                 %base-user-accounts
           )
         )
  )

  (host-name "cp")
  (timezone "America/Los_Angeles")
  (locale "en_US.utf8")

  (file-systems (cons*
                  (file-system
                    (device (file-system-label "ESP"))
                    (mount-point "/boot/efi")
                    (type "fat")
                  )

                  (file-system
                    (device (file-system-label "guix"))
                    (mount-point "/")
                    (type "btrfs")
                  )
                  %base-file-systems
                )
  )
  (bootloader (bootloader-configuration
                (bootloader grub-efi-bootloader)
                (target "/boot/efi")
                (timeout 15)
              )
  )
)

Thanks,
Bryan